Table of Contents

Class: File | Twisted-0.19.0/twisted/web/static.py
--- | ---
File is a resource that represents a plain non-interpreted file. It's constructor takes a file path.
Base Classes |
--- | ---
resource.Resource styles.Versioned
Methods |
--- | ---
__init__ createPickleChild getChild getIndex listEntities listNames | redirect render upgradeToVersion1 upgradeToVersion2 upgradeToVersion3
| __init__
    __init__ (
            self,
            path,
            defaultType="text/html",
            allowExt=0,
            )
Create a file with the given path.
| createPickleChild
    createPickleChild (
            self,
            name,
            child,
            )
| getChild
    getChild (
            self,
            path,
            request,
            )
See twisted.web.Resource.getChild.
Exceptions |
--- | ---
"%s instance does not implement IResource, and there is no registered adapter." % p.__class__
| getIndex
    getIndex ( self,  request )
| listEntities
    listEntities ( self )
| listNames
    listNames ( self )
| redirect
    redirect ( self,  request )
| render
    render ( self,  request )
You know what you doing.
| upgradeToVersion1
    upgradeToVersion1 ( self )
| upgradeToVersion2
    upgradeToVersion2 ( self )
| upgradeToVersion3
    upgradeToVersion3 ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0